<template>
  <div class="content ml-5">
    <h2 class="ml-3">Pedidos Entregues</h2>
    <div class="table table-striped">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>Código</th>
            <th>Cliente</th>
            <th>Data da compra</th>
            <!-- <th>Data da entrega</th> -->
            <th>Valor</th>
            <th>Status</th>
            <th>Ver produtos</th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="pedido in pedido" v-bind:key="pedido.id">
            <td>{{ pedido.id }}</td>
            <div v-for="cliente in cliente" v-bind:key="cliente.id">
              <td v-if="cliente.id == pedido.id_cliente">
                {{ cliente.nome }} 
              </td>
            </div>
            <td>{{ pedido.data_compra | estiloData }}</td>
            <!-- <td>{{ pedido.data_entrega | estiloData }}</td> -->
            <td>R$ {{ pedido.valor_pedido | estiloMoeda }}</td>
            <td>{{ pedido.status }}</td>
            <td>
               <router-link :to="`/pedido/${pedido.id}`" class="btn btn-sm btn-dark" title="Produtos do pedido"><i class="far fa-list-alt"></i></router-link>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>
<script>
import axios from "axios";
import moment from 'moment';

export default {
  data() {
    return {
      pedido: [],
      cliente: [],
    };
  },
  methods: {
    listar() {
      if (localStorage.getItem("token")) {
        axios
          .get(this.$urlAPI + `/pedidosentregues`)
          .then((response) => (this.pedido = response.data));
        axios
          .get(this.$urlAPI + `/clientes`)
          .then((response) => (this.cliente = response.data));
      }
    },
  },

  mounted() {
    this.listar();
  },
  filters: {
    estiloMoeda(value) {
      return value.toLocaleString("pt-br", { minimumFractionDigits: 2 });
    },
    estiloData(value) {
        return moment(String(value)).add(3,'hours').format('DD/MM/YYYY HH:mm')
    }
  },
};
</script>
<style scoped>
table img {
  width: 100px;
  height: 60px;
}
</style>